<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__board__libs" kind="group">
    <compoundname>group_board_libs</compoundname>
    <para><verbatim>embed:rst 
E-INK
-----
</verbatim></para>
    <innerclass prot="public" refid="structmtb__e2271cs021__font__t">mtb_e2271cs021_font_t</innerclass>
    <innerclass prot="public" refid="structmtb__e2271cs021__pins__t">mtb_e2271cs021_pins_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__board__libs_1ga85944511cb209c1d2d4e45ea11ff8384" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>mtb_e2271cs021_update_t</name>
        <enumvalue id="group__group__board__libs_1gga85944511cb209c1d2d4e45ea11ff8384a1fbfa83d43de493fab3be569d852cffd" prot="public">
          <name>MTB_E2271CS021_PARTIAL</name>
          <briefdescription>
<para>Update the display with only the changes from previous frame. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs_1gga85944511cb209c1d2d4e45ea11ff8384a7f0e911d49b6d52f5aa8872d97c18aa5" prot="public">
          <name>MTB_E2271CS021_FULL_4STAGE</name>
          <briefdescription>
<para>Full update with four stages: Stage 1: update the display with the inverted version of the previous frame. </para>          </briefdescription>
          <detaileddescription>
<para>Stage 2: update the display with an all white frame. Stage 3: update the display with the inverted version of the new frame. Stage 4: update the display with the new frame. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__board__libs_1gga85944511cb209c1d2d4e45ea11ff8384a0d0a7f30f76b2ce44d963822395881eb" prot="public">
          <name>MTB_E2271CS021_FULL_2STAGE</name>
          <briefdescription>
<para>Full update with only stages 1 and 4. </para>          </briefdescription>
          <detaileddescription>
<para>Stages 2 and 3 are skipped </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>mtb_e2271cs021_update_t: </bold><linebreak />Different ways the E-INK display can be updated.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="122" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="109" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="110" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga29eef324252b04404c5387db4016698a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t mtb_e2271cs021_init</definition>
        <argsstring>(const mtb_e2271cs021_pins_t *pins, cyhal_spi_t *spi)</argsstring>
        <name>mtb_e2271cs021_init</name>
        <param>
          <type>const <ref kindref="compound" refid="structmtb__e2271cs021__pins__t">mtb_e2271cs021_pins_t</ref> *</type>
          <declname>pins</declname>
        </param>
        <param>
          <type>cyhal_spi_t *</type>
          <declname>spi</declname>
        </param>
        <briefdescription>
<para>Initialize the E-INK display hardware, starts the required hardware components, and sets a default temperature compensation factor. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst
.. note::
   This function does not turn on the E-INK display. 
</verbatim>
<parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">pins</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the structure defining the pins used to communicate with the display </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">spi</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to an already intialized SPI block to use for communication. 
<verbatim>embed:rst
.. note::
   The cable select pin should NOT be initialized as part of the SPI interface. It is toggled manually. 
</verbatim></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if properly initialized, else an error indicating what went wrong. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="44" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.c" bodystart="30" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="136" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga3ca299615068daf88dc5336fea065348" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void mtb_e2271cs021_free</definition>
        <argsstring>()</argsstring>
        <name>mtb_e2271cs021_free</name>
        <briefdescription>
<para>Frees any hardware resources reserved for the E-INK display. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="49" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.c" bodystart="46" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="141" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1gaea7ff095d9abc2ae9e043a4030ebbb40" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void mtb_e2271cs021_set_temp_factor</definition>
        <argsstring>(int8_t temperature)</argsstring>
        <name>mtb_e2271cs021_set_temp_factor</name>
        <param>
          <type>int8_t</type>
          <declname>temperature</declname>
        </param>
        <briefdescription>
<para>Set temperature in order to perform temperature compensation of E-INK parameters. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst
.. note::
   This function does not turn on the E-INK display. 
</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">temperature</parametername>
</parameternamelist>
<parameterdescription>
<para>The ambient temperature, in degree C, the display is operating in </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="55" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.c" bodystart="51" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="148" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1gaf9113c30ed731a122f5f0e2301005795" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t mtb_e2271cs021_power</definition>
        <argsstring>(bool power)</argsstring>
        <name>mtb_e2271cs021_power</name>
        <param>
          <type>bool</type>
          <declname>power</declname>
        </param>
        <briefdescription>
<para>Turns on/off the E-INK display power. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst
.. note::
   This function can not be used to clear the E-INK display. The display will retain the previously written frame even when it's turned off.
</verbatim> <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">power</parametername>
</parameternamelist>
<parameterdescription>
<para>Should the power be turned on to the display </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if properly initialized, else an error indicating what went wrong. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="66" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.c" bodystart="57" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="157" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1gadf9fb0d1639656b893d2c52aa61663a5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t mtb_e2271cs021_clear</definition>
        <argsstring>(bool background, bool power_cycle)</argsstring>
        <name>mtb_e2271cs021_clear</name>
        <param>
          <type>bool</type>
          <declname>background</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>power_cycle</declname>
        </param>
        <briefdescription>
<para>Clears the display to all white or all black pixels. </para>        </briefdescription>
        <detaileddescription>
<para>Note1: The E-INK display should be powered on (using <ref kindref="member" refid="group__group__board__libs_1gaf9113c30ed731a122f5f0e2301005795">mtb_e2271cs021_power()</ref>) before calling this function if "power_cycle" is false. Otherwise the display won't be cleared.</para><para>Note2: This function is intended to be called only after a reset/power up. Use <ref kindref="member" refid="group__group__board__libs_1ga34eeacb51c9e122dff7da443956b78e3">mtb_e2271cs021_show_frame()</ref> to clear the display if you know the frame that has been written to the display. <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">background</parametername>
</parameternamelist>
<parameterdescription>
<para><ref kindref="member" refid="group__group__board__libs_1ga68fdf137452539bcc8b4c0e730a252a0">MTB_E2271CS021_WHITE_BACKGROUND</ref> or <ref kindref="member" refid="group__group__board__libs_1ga81ef7ca95d5c6c5524d5ca0554ff460c">MTB_E2271CS021_BLACK_BACKGROUND</ref> </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">power_cycle</parametername>
</parameternamelist>
<parameterdescription>
<para>true for automatic power cycle. False otherwise </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if properly initialized, else an error indicating what went wrong. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="95" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.c" bodystart="68" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="174" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga34eeacb51c9e122dff7da443956b78e3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t mtb_e2271cs021_show_frame</definition>
        <argsstring>(uint8_t *prev_frame, uint8_t *new_frame, mtb_e2271cs021_update_t update_type, bool power_cycle)</argsstring>
        <name>mtb_e2271cs021_show_frame</name>
        <param>
          <type>uint8_t *</type>
          <declname>prev_frame</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>new_frame</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__board__libs_1ga85944511cb209c1d2d4e45ea11ff8384">mtb_e2271cs021_update_t</ref></type>
          <declname>update_type</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>power_cycle</declname>
        </param>
        <briefdescription>
<para>Updates the E-INK display with the provided frame stored in the flash or RAM. </para>        </briefdescription>
        <detaileddescription>
<para>Afterward the new frame data is copied to the previous frame buffer.</para>
<para><verbatim>embed:rst
.. note::
   If the previous frame data changes from the actual frame previously written to the display, considerable ghosting may occur.
</verbatim></para><para>If the "power_cycle" parameter is false, the E-INK display should be powered on (using <ref kindref="member" refid="group__group__board__libs_1gaf9113c30ed731a122f5f0e2301005795">mtb_e2271cs021_power()</ref>) before calling this function. Otherwise the display won't be updated. <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">prev_frame</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the previous frame written on the display </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">new_frame</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the new frame that need to be written </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">update_type</parametername>
</parameternamelist>
<parameterdescription>
<para>Full update (2/4 stages) or partial update </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">power_cycle</parametername>
</parameternamelist>
<parameterdescription>
<para>"true" for automatic power cycle, "false" for manual </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if properly initialized, else an error indicating what went wrong. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="144" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.c" bodystart="97" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="192" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga3d5ec2764b0b92101bcfb4228a02bc36" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void mtb_e2271cs021_image_to_frame_buffer</definition>
        <argsstring>(uint8_t *frame_buffer, uint8_t *image, uint8_t *img_coordinates)</argsstring>
        <name>mtb_e2271cs021_image_to_frame_buffer</name>
        <param>
          <type>uint8_t *</type>
          <declname>frame_buffer</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>image</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>img_coordinates</declname>
        </param>
        <briefdescription>
<para>Copies pixel block data between the specified x and y coordinates from an image (typically stored in the flash) to a frame buffer in RAM. </para>        </briefdescription>
        <detaileddescription>
<para>Copying is done at byte level. Pixel level operations are not supported.</para><para>This function does not update the E-INK display. After frame buffer update, use <ref kindref="member" refid="group__group__board__libs_1ga34eeacb51c9e122dff7da443956b78e3">mtb_e2271cs021_show_frame()</ref> to update the display if required.</para>
<para>Note: This is a blocking function that can take as many as <ref kindref="member" refid="group__group__board__libs_1ga8b8439bad844a962c474f54c1d5e5750">MTB_E2271CS021_FRAME_SIZE</ref> RAM write cycles to complete. 
<parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">frame_buffer</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the frame buffer array in RAM </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">image</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the image array (typically in flash) </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">img_coordinates</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a 4-byte array of image coordinates </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if properly initialized, else an error indicating what went wrong. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="175" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.c" bodystart="146" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="212" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1gacce02da79f87e1a6341403042cb016e0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void mtb_e2271cs021_text_to_frame_buffer</definition>
        <argsstring>(uint8_t *frame_buffer, char *string, mtb_e2271cs021_font_t *font_info, uint8_t *font_coordinates)</argsstring>
        <name>mtb_e2271cs021_text_to_frame_buffer</name>
        <param>
          <type>uint8_t *</type>
          <declname>frame_buffer</declname>
        </param>
        <param>
          <type>char *</type>
          <declname>string</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structmtb__e2271cs021__font__t">mtb_e2271cs021_font_t</ref> *</type>
          <declname>font_info</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>font_coordinates</declname>
        </param>
        <briefdescription>
<para>Converts a text input (string) to pixel data and stores it at the specified coordinates of a frame buffer. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst
.. note::
   This function only supports printable ASCII characters from "!" to "~"
</verbatim></para><para>X and Y locations used in this function are font coordinates, rather than the pixel coordinates used in <ref kindref="member" refid="group__group__board__libs_1ga3d5ec2764b0b92101bcfb4228a02bc36">mtb_e2271cs021_image_to_frame_buffer()</ref>. See the mtb_e2271cs021_fonts.h for details.</para><para>This function does not update the E-INK display. After frame buffer update, use <ref kindref="member" refid="group__group__board__libs_1ga34eeacb51c9e122dff7da443956b78e3">mtb_e2271cs021_show_frame()</ref> to update the display if required.</para>
<para>Note: This is a blocking function that can take as many as <ref kindref="member" refid="group__group__board__libs_1ga8b8439bad844a962c474f54c1d5e5750">MTB_E2271CS021_FRAME_SIZE</ref> RAM write cycles to complete. 
<parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">frame_buffer</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the frame buffer array in RAM </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">string</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the string </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">font_info</parametername>
</parameternamelist>
<parameterdescription>
<para>Structure that stores font information </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">font_coordinates</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the 2-byte array containing X and </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if properly initialized, else an error indicating what went wrong. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="294" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.c" bodystart="177" column="1" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="234" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="define">
      <memberdef id="group__group__board__libs_1ga68fdf137452539bcc8b4c0e730a252a0" kind="define" prot="public" static="no">
        <name>MTB_E2271CS021_WHITE_BACKGROUND</name>
        <initializer>(true)</initializer>
        <briefdescription>
<para>White background color for <ref kindref="member" refid="group__group__board__libs_1gadf9fb0d1639656b893d2c52aa61663a5">mtb_e2271cs021_clear()</ref> </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="50" column="9" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="50" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga81ef7ca95d5c6c5524d5ca0554ff460c" kind="define" prot="public" static="no">
        <name>MTB_E2271CS021_BLACK_BACKGROUND</name>
        <initializer>(false)</initializer>
        <briefdescription>
<para>Black background color for <ref kindref="member" refid="group__group__board__libs_1gadf9fb0d1639656b893d2c52aa61663a5">mtb_e2271cs021_clear()</ref> </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="52" column="9" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="52" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga3e616d0798f70e8f829f5f1416645edb" kind="define" prot="public" static="no">
        <name>MTB_E2271CS021_FONT_X</name>
        <initializer>(0x00)</initializer>
        <briefdescription>
<para>X font start coordinate for <ref kindref="member" refid="group__group__board__libs_1gacce02da79f87e1a6341403042cb016e0">mtb_e2271cs021_text_to_frame_buffer()</ref> </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="56" column="9" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="56" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga616ad839d259a6f199b8b154634dad24" kind="define" prot="public" static="no">
        <name>MTB_E2271CS021_FONT_Y</name>
        <initializer>(0x01)</initializer>
        <briefdescription>
<para>Y font start coordinate for <ref kindref="member" refid="group__group__board__libs_1gacce02da79f87e1a6341403042cb016e0">mtb_e2271cs021_text_to_frame_buffer()</ref> </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="58" column="9" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="58" />
      </memberdef>
      <memberdef id="group__group__board__libs_1gab6f188a8de9c143ed9e667873fff9959" kind="define" prot="public" static="no">
        <name>MTB_E2271CS021_IMG_X1</name>
        <initializer>(0x00)</initializer>
        <briefdescription>
<para>X image start coordinate for <ref kindref="member" refid="group__group__board__libs_1ga3d5ec2764b0b92101bcfb4228a02bc36">mtb_e2271cs021_image_to_frame_buffer()</ref> </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="62" column="9" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="62" />
      </memberdef>
      <memberdef id="group__group__board__libs_1gad05111d77f05332b62f4e8bdd86307bc" kind="define" prot="public" static="no">
        <name>MTB_E2271CS021_IMG_X2</name>
        <initializer>(0x01)</initializer>
        <briefdescription>
<para>X image end coordinate for <ref kindref="member" refid="group__group__board__libs_1ga3d5ec2764b0b92101bcfb4228a02bc36">mtb_e2271cs021_image_to_frame_buffer()</ref> </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="64" column="9" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="64" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga39e15be13950de5ea03a4d2cd7706d1a" kind="define" prot="public" static="no">
        <name>MTB_E2271CS021_IMG_Y1</name>
        <initializer>(0x02)</initializer>
        <briefdescription>
<para>Y image start coordinate for <ref kindref="member" refid="group__group__board__libs_1ga3d5ec2764b0b92101bcfb4228a02bc36">mtb_e2271cs021_image_to_frame_buffer()</ref> </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="66" column="9" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="66" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga061da22b0f921cfbc82a4be13992e144" kind="define" prot="public" static="no">
        <name>MTB_E2271CS021_IMG_Y2</name>
        <initializer>(0x03)</initializer>
        <briefdescription>
<para>Y image end coordinate for <ref kindref="member" refid="group__group__board__libs_1ga3d5ec2764b0b92101bcfb4228a02bc36">mtb_e2271cs021_image_to_frame_buffer()</ref> </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="68" column="9" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="68" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga8131c022251a2dbc47df1653b04c629e" kind="define" prot="public" static="no">
        <name>MTB_E2271CS021_CLEAR_TO_WHITE</name>
        <initializer>(0xFF)</initializer>
        <briefdescription>
<para>Value to clear an 8 pixel section of the screen to white. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="72" column="9" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="72" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga3d4ebb7f8a5c9a7dda311a1f3db2d778" kind="define" prot="public" static="no">
        <name>MTB_E2271CS021_CLEAR_TO_BLACK</name>
        <initializer>(0x00)</initializer>
        <briefdescription>
<para>Value to clear an 8 pixel section of the screen to black. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="74" column="9" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="74" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga8b8439bad844a962c474f54c1d5e5750" kind="define" prot="public" static="no">
        <name>MTB_E2271CS021_FRAME_SIZE</name>
        <initializer>(<ref kindref="member" refid="group__group__board__libs_1gac83ffb1bb5e530e94ee3ad747256f2a6">MTB_E2271CS021_DISPLAY_SIZE_X</ref> * <ref kindref="member" refid="group__group__board__libs_1ga3248b2a276a72c33fb159fbd0d803d72">MTB_E2271CS021_DISPLAY_SIZE_Y</ref> / 8)</initializer>
        <briefdescription>
<para>Number of bytes needed for a full image (pixel count / 8). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="77" column="9" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="77" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga28608cf451218ee5d1d0bd662fb20546" kind="define" prot="public" static="no">
        <name>MTB_E2271CS021_DEFAULT_TEMP_FACTOR</name>
        <initializer>(25)</initializer>
        <briefdescription>
<para>Default temperature compensation factor used during initalization. </para>        </briefdescription>
        <detaileddescription>
<para>Call <ref kindref="member" refid="group__group__board__libs_1gaea7ff095d9abc2ae9e043a4030ebbb40">mtb_e2271cs021_set_temp_factor()</ref> if a different temp is needed. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="81" column="9" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="81" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga27c6707b15601e6db6a393b322d34cb3" kind="define" prot="public" static="no">
        <name>MTB_E2271CS021_RSLT_ERROR_POWER</name>
        <initializer>(CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, CY_RSLT_MODULE_BOARD_HARDWARE_E2271CS021, 0))</initializer>
        <briefdescription>
<para>Error changing power state for display. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" bodystart="84" column="9" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021.h" line="84" />
      </memberdef>
      <memberdef id="group__group__board__libs_1gac83ffb1bb5e530e94ee3ad747256f2a6" kind="define" prot="public" static="no">
        <name>MTB_E2271CS021_DISPLAY_SIZE_X</name>
        <initializer>(264u)</initializer>
        <briefdescription>
<para>Number of horizontal pixels in the E-ink display. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" bodystart="46" column="9" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" line="46" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga3248b2a276a72c33fb159fbd0d803d72" kind="define" prot="public" static="no">
        <name>MTB_E2271CS021_DISPLAY_SIZE_Y</name>
        <initializer>(176u)</initializer>
        <briefdescription>
<para>Number of vertical pixels in the E-ink display. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" bodystart="48" column="9" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" line="48" />
      </memberdef>
      <memberdef id="group__group__board__libs_1gad4f21dcc2f9994a0855e3bfab15cd183" kind="define" prot="public" static="no">
        <name>MTB_E2271CS021_DISPLAY_COLOR_BITS</name>
        <initializer>(1u)</initializer>
        <briefdescription>
<para>Number of bits consumed by each pixel for color information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" bodystart="50" column="9" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" line="50" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>APIs for controlling the E-INK display on the board. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>